Subject: bug#70914: 29.3; Crashes often on Windows

From: Simen Endsjø <[email-masked]>
Date: Thu, 16 May 2024 13:00:31 +0200

> Another possible idea is to disable native-compilation and use of
> *.eln files that were already compiled.  The simplest way of doing the
> former is to set the variables native-comp-jit-compilation and
> native-comp-enable-subr-trampolines to nil in your early-init file,
> then start Emacs as usual.  Can you try that?

I did try deleting all my eln files located in
d:/.emacs.d/.local/cache/eln/29.3-5efa4952 in case I had compiled some using an
older libgccjit, but I get the same errors.

On Thu, May 16, 2024 at 12:04 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Simen Endsjø <[email-masked]>
> > Date: Thu, 16 May 2024 08:42:42 +0200
> > Cc: [email-masked]
> >
> > > Did you say you see these problems on other machines as well?  If not,
> > > I'd suspect something basic, like hardware problem.
> >
> > I don't have problems with other software, so it doesn't seem like a hardware
> > problem. I did a full hardware scan during the night, and it didn't
> > uncover any problems.
>
> Another possible idea is to disable native-compilation and use of
> *.eln files that were already compiled.  The simplest way of doing the
> former is to set the variables native-comp-jit-compilation and
> native-comp-enable-subr-trampolines to nil in your early-init file,
> then start Emacs as usual.  Can you try that?
>
> AFAIK, the above does not prevent Emacs from loading and using the
> *.eln files that were already generated.  Andrea, what is the best way
> of disabling the use of existing *.eln files without rebuilding Emacs?
> Maybe renaming libgccjit-0.dll and restarting Emacs?